%define	major 0
%define libname	%mklibname nfsidmap %{major}
%define devname %mklibname nfsidmap -d

Summary:	Library to help mapping id's, mainly for NFSv4
Name:		libnfsidmap
Version:	0.27
Release:	%mkrel 3
License:	BSD-like
Group:		System/Libraries
URL:		http://linux-nfs.org/wiki/index.php/Main_Page
Source0:	https://fedorapeople.org/~steved/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig

%description
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package -n	%{libname}
Summary:	Library to help mapping id's, mainly for NFSv4
Group:		System/Libraries
Provides:	libnfsidmap = %{version}-%{release}
Provides:	nfsidmap = %{version}-%{release}
Obsoletes:  libnfsidmap-doc
# /etc/idmapd.conf was shipped in nfs-utils in mga5
Conflicts:      nfs-utils < 1:1.3.0-7

%description -n	%{libname}
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

%package -n	%{devname}
Summary:	Static library and header files for the nfsidmap library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libnfsidmap-devel = %{version}-%{release}
Provides:	nfsidmap-devel  = %{version}-%{release}
Conflicts:	%{_lib}nfsidmap0 < 0.25-2
Obsoletes:	%{_lib}nfsidmap0-devel < 0.25-4

%description -n	%{devname}
libnfsidmap is a library holding mulitiple methods of mapping
names to id's and visa versa, mainly for NFSv4.

When NFSv4 is using AUTH_GSS (which currently only supports
Kerberos v5), the NFSv4 server mapping functions MUST use
secure communications.

This package contains the static libnfsidmap library and its
header files.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--with-pluginpath=%{_libdir}/libnfsidmap%{major}
%make_build

%install
%make_install

install -D -m 644 idmapd.conf %{buildroot}%{_sysconfdir}/idmapd.conf

find %{buildroot} -name "*.la" -delete

# to have %major in the plugin path - Anssi 12/2011
mv %{buildroot}%{_libdir}/%{name}{,%major}

%files -n %{libname}
%doc AUTHORS COPYING
%config(noreplace) %{_sysconfdir}/idmapd.conf
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}%{major}
%{_mandir}/man5/*

%files -n %{devname}
%doc AUTHORS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfsidmap.pc
%{_mandir}/man3/*


%changelog
* Wed Apr 26 2017 neoclust <neoclust> 0.27-3.mga6
+ Revision: 1097488
- Move conflict in the good package (mga#20716)

* Wed Mar 29 2017 akien <akien> 0.27-2.mga6
+ Revision: 1095137
- Fix conflict with nfs-utils-1.3.0-6.mga5 (mga#20586)

* Fri Jan 13 2017 luigiwalser <luigiwalser> 0.27-1.mga6
+ Revision: 1081263
- 0.27

* Sun Mar 20 2016 guillomovitch <guillomovitch> 0.26-2.mga6
+ Revision: 993080
- ship a default configuration file
- move back man page in main package, and drop overkill doc subpackage

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.26-1.mga6
+ Revision: 917782
- 0.27-rc3

* Wed May 13 2015 guillomovitch <guillomovitch> 0.25-8.mga5
+ Revision: 822030
- add ubuntu patch to fix LDAP plugin build (partial fix for #10060)

* Wed Oct 15 2014 umeabot <umeabot> 0.25-7.mga5
+ Revision: 743100
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.25-6.mga5
+ Revision: 681648
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.25-5.mga4
+ Revision: 532639
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 0.25-4.mga4
+ Revision: 469087
- drop major from devel pkg name
- disable static build

* Sat Jan 12 2013 umeabot <umeabot> 0.25-3.mga3
+ Revision: 357855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 27 2011 anssi <anssi> 0.25-2.mga2
+ Revision: 188273
- drop _disable_ld_no_undefined workaround, not needed with this package
- split configuration man page from library pkg to libnfsidmap-doc
- move development man page to -devel subpkg
- versionize provides
- move plugins to a versioned directory to ensure proper libification
- use parallel make
- fix plugin search path on x86_64 (fixes mgabz #3679)

* Fri Dec 09 2011 guillomovitch <guillomovitch> 0.25-1.mga2
+ Revision: 179497
- new version

* Tue Feb 08 2011 ennael <ennael> 0.24-1.mga1
+ Revision: 49180
- remove mdkversion
- imported package libnfsidmap


* Fri Dec 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2011.0
+ Revision: 620451
- update to new version 0.24

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.23-3mdv2011.0
+ Revision: 601057
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.23-2mdv2010.1
+ Revision: 519027
- rebuild

* Sun Aug 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2010.0
+ Revision: 422543
- new version
- drop plugin patch, merged upstream

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2010.0
+ Revision: 419901
- new version
- merge two patches

  + Christophe Fergeau <cfergeau@mandriva.com>
    - make sure autoreconf update libtool files to avoid libtool 1.5/2.2 mismatches

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-3mdv2009.1
+ Revision: 315579
- rebuild

* Mon Sep 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-2mdv2009.0
+ Revision: 282812
- fix lib64 (bug #43666)

* Sat Sep 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.21-1mdv2009.0
+ Revision: 281960
- new version
  patch for isolating plugins under %%{_libdir}/%%{name}

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.20-4mdv2009.0
+ Revision: 229895
- fix linkage

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 0.20-2mdv2008.1
+ Revision: 137469
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Andreas Hasenack <andreas@mandriva.com> 0.20-1mdv2008.0
+ Revision: 17634
- updated to version 0.20


* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 0.19-1mdv2007.0
+ Revision: 111810
- updated to version 0.19

  + Oden Eriksson <oeriksson@mandriva.com>
    - bzip2 cleanup

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16-2mdv2007.1
+ Revision: 63381
- bunzip patches
- Import libnfsidmap

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2007.0
- 0.16
- fix deps

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdk
- 0.13
- the upstream source was renamed to libnfsidmap, obey that

* Sun Dec 18 2005 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- fix provides

* Sat Dec 17 2005 Stefan van der Eijk <stefan@eijk.nu> 0.11-1mdk
- 0.11
- rediffed patch0

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10-2mdk
- Rebuild for libldap2.3

* Sun Feb 27 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10-1mdk
- 0.10

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.8-6mdk
- fix deps

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.8-5mdk
- really build against new openldap
- rename srpm and spec so we can use rpmbuildupdate

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-4mdk
- rebuilt against new openldap libs

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-3mdk
- drop S1 & S2, these belong to the nfs-utils package

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-2mdk
- make it compile on 10.0 too

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8-1mdk
- 0.8

* Wed Oct 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5-1mdk
- initial mandrake contrib

